Subject: FW: Trainer Candidate - moses dominic
From: Deeksha Dadu <[email-masked]>
To: Livesalesman <[email-masked]>
Date: Thu, 27 May 2021 14:12:00 +0000

Check this guy

From: moses dominic <[email-masked]<mailto:[email-masked]>>
Reply-To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, 27 May 2021 at 6:02 PM
To: Saurabh Dadu <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Deeksha Dadu <[email-masked]<mailto:[email-masked]>>, Ashish Dabral <[email-masked]<mailto:[email-masked]>>
Subject: Trainer Candidate - moses dominic

[https://www.jotform.com/uploads/lsmindia/form_files/LSM%20Logo.5ec38b9aad59e5.76825569.png]

        [https://cdn.jotfor.ms/assets/img/builder/email_logo_small.png]         Tech Support Test

Name    moses dominic
E-mail  [email-masked]<mailto:[email-masked]>
Phone Number    (0091) 8851132626
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station    I can commute only using Metro
Where do you currently live (area)      Gurgoan
Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA
        Name of Company Designation     Last working day        Monthly Salary (inhand)
Current Employer        India Innovation Incorporation Pvt ltd in       Manager - Client Relationship and Customer Support      3rd June 2021   42600
Previous Employer 1     Navigant technologies Pvt ltd   Team lead Inside sales and Support      November 2017   20000
Previous Employer 2     Sunny Rentals   Sales Executive August 2014     10000
If Selected, how much time do you need to join? 15days
Please briefly describe your work experience specifically in training?  I have a great 9 years of experience in customer handling. My included training support team, lead generation team and  relationship executives in product, script for call, call monitoring for quality check.
Apart from this as being a manager/team lead I had make sure that the training for the clients and the end users is being done properly, which includes providing the training material (making of short videos for on product, brochures FAQ's etc).
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.  In both the organisation that I had worked, the biggest or the most difficult situation that I faced was salary issue. There were many time when the salary was delayed for days or months.
The agents would start questioning or take long breaks to avoid working and sometimes even stop working. As being the mid point of contact for the management and team I had to make sure that the productivity is not hampered for my company and also make sure that the best ones in my team retain.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)   I think there is no such thing as good when it comes to customer service. There are just 2 parameters either it's bad or it's great.

Some points for Bad and Great customer service

Bad service - Not listening to customer's issue and just keep talking. Making fake commitment. Not resolving the issue on time.

Great service - Being a good listener, Greeting customer with a positive attitude, being proactively helpful, Making sure they feel we are always there for them
What according to you makes you a good candidate for this position?     For 9 years I have been working with customer service (sales or support) either it's international or domestic. I started my career from a scratch and made my way up, to where I am right now.
"Customer is the king and we ( support & relationship) are the king makers".   This is what I believe in.
Every company needs employee who can help the company grow by not just helping in their particular department and also being helping hand where it's needed And I am that kind of person.
On a scale of 1 - 5 please rate your fluency in spoken English  5